/* Hauptprogramm XPort128
 * Datei: mcu.c
 * Info: Hauptprogramm
 * Autor: Pirkl Max
 * Datum:
*/

#include "mcu.h"
#include "usart.h"
#include "spi_lcd.h"
//#include "rc5.h"

//unsigned char data; //Puffer fr den empfang aus dem USART
//extern volatile unsigned int rc5_data;	//Globale Variable zum speichern des RC5 ergebnises

//SIGNAL(SIG_USART0_RECV) befindet sich in usart.c
//SIGNAL (SIG_OVERFLOW0) befinder sich in rc5.c

//Hauptfunktion
int main (void){

	DDRE |= 0x0C; //PortB: PB0 und PB1 als ausgang rest eigang
	PORTE |= 0x0C; //Alle Ausgnge werden auf low gesetzt (Interne Pullups deaktiviert)

	USART_init(); //USART initialisieren
	USART_dest(DEST_COM); //USART ziel whlen
	sei();
	
	lcd_init();
	lcd_clear();
	lcd_str("Hallo du");
	gotoyx(3,2);
	lcd_str("dies ist ein Demo ");
	
	for(;;){
	}

}